local L = LibStub("AceLocale-3.0"):GetLocale("TweakHubMerchant")

function TweakHub.Merchant:GetOptionsTable()

	return {
		type = "group",
		name = L["Merchant & Gossip Tweaks"],
		desc = L["Merchant and NPC gossip tweaks."],
		args = {
			Repairs = {
				type = "group",
				name = L["Repair Options"],
				desc = L["Options for repairs at merchants, enabling one option disables the other."],
				args = {
					AutoRepair = {
						type = "toggle",
						name = L["Auto Repair"],
						desc = L["Automatically repair when visiting a vendor who can."],
						get = function() return TweakHub.Merchant.db.profile.AutoRepair end,
						set = function()
							TweakHub.Merchant.db.profile.AutoRepair = not TweakHub.Merchant.db.profile.AutoRepair
							TweakHub.Merchant.db.profile.RepairRemind = false
							TweakHub.Merchant:DoMerchant();
						end,
					},
					RepairRemind = {
						type = "toggle",
						name = L["Remind for repairs"],
						desc = L["Remind to repair via popup instead of automatically repairing."],
						get = function() return TweakHub.Merchant.db.profile.RepairRemind end,
						set = function()
							TweakHub.Merchant.db.profile.RepairRemind = not TweakHub.Merchant.db.profile.RepairRemind
							TweakHub.Merchant.db.profile.AutoRepair = false
							TweakHub.Merchant:DoMerchant();
						end,
					},
				},
			},
			AutoSell = {
				type = "toggle",
				name = L["Auto Sell Junk"],
				desc = L["Automatically sell junk items when visiting a vender."],
				get = function() return TweakHub.Merchant.db.profile.AutoSell end,
				set = function()
					TweakHub.Merchant.db.profile.AutoSell = not TweakHub.Merchant.db.profile.AutoSell
					TweakHub.Merchant:DoMerchant()
				end,
			},
			SkipGossip = {
				type = "toggle",
				name = L["Skip Gossip"],
				desc = L["Automatically skips gossip by choosing any single gossip options."],
				get = function() return TweakHub.Merchant.db.profile.SkipGossip end,
				set = function()
					TweakHub.Merchant.db.profile.SkipGossip = not TweakHub.Merchant.db.profile.SkipGossip
					TweakHub.Merchant:DoGossip()
				end,
			},
			AutoDismount = {
				type = "toggle",
				name = L["Auto Dismount"],
				desc = L["Automatically dismount when visiting a flight master."],
				get = function() return TweakHub.Merchant.db.profile.AutoDismount end,
				set = function()
					TweakHub.Merchant.db.profile.AutoDismount = not TweakHub.Merchant.db.profile.AutoDismount
					TweakHub.Merchant:DoTaxi()
				end,
			},
			Scroll = {
				type = "toggle",
				name = L["Mouse Wheel Scrolling"],
				desc = L["Enable or disable mouse wheel scrolling."],
				get = function() return TweakHub.Merchant.db.profile.Scroll end,
				set = function()
					TweakHub.Merchant.db.profile.Scroll = not TweakHub.Merchant.db.profile.Scroll
					TweakHub.Merchant:DoMerchant()
				end,
			},
		},
	}
end